package org.dromara.system.service.opinion;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.opinion.bo.XiaoyuanOpinionBo;
import org.dromara.system.domain.opinion.vo.XiaoyuanOpinionVo;
import java.util.Collection;
import java.util.List;

/**
 * 校园建议IDService接口
 *
 * @author boman
 * @date 2023-09-15
 */
public interface IXiaoyuanOpinionService {

    /**
     * 查询校园建议ID
     */
    XiaoyuanOpinionVo queryById(Long opinionId);

    /**
     * 查询校园建议ID列表
     */
    TableDataInfo<XiaoyuanOpinionVo> queryPageList(XiaoyuanOpinionBo bo, PageQuery pageQuery);

    /**
     * 查询校园建议ID列表
     */
    List<XiaoyuanOpinionVo> queryList(XiaoyuanOpinionBo bo);

    /**
     * 新增校园建议ID
     */
    Boolean insertByBo(XiaoyuanOpinionBo bo);

    /**
     * 修改校园建议ID
     */
    Boolean updateByBo(XiaoyuanOpinionBo bo);

    /**
     * 校验并批量删除校园建议ID信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
